<?php

namespace cn\com\maiyoule\mqttclient\biz;

use cn\com\maiyoule\mqttclient\IRequest;

class AppUpdateCallbackRequest extends IRequest
{

    public function path(): string
    {
        return 'app/callback/update';
    }

    public function body(): array
    {
        return [
            'url' => $this->getUrl()
        ];
    }


    private string $url;

    /**
     * @return string
     */
    public function getUrl(): string
    {
        return $this->url;
    }

    public function setUrl(string $url): void
    {
        $this->url = $url;
    }
}